import { Routes } from "@angular/router";
import { Component } from "@angular/core";
import { NavMobileTabsComponent } from "./nav-mobile-tabs/nav-mobile-tabs.component.js";
export const MOBILE_ROUTES:Routes=[
    {
        path:'',
        component:NavMobileTabsComponent,
        children:[
            {
                path:'home',
                loadComponent:() => import('./page-home/page-home.component').then(m=>m.PageHomeComponent)
            },
            {
                path :'IP',
                loadComponent:()=>import('./page-ip/page-ip.component').then(m=>m.PageIPComponent)
            },
            {
                path:'design',
                loadComponent:()=>import('./page-design/page-design.component').then(m=>m.PageDesignComponent)
            },
            {
                path :'mine',
                loadComponent:()=>import('./page-mine/page-mine.component').then(m=>m.PageMineComponent)
            },
            {
                path:' ',
                redirectTo:'home',
                pathMatch:'full'
            }

        ]
    }
]