import { CommonModule } from '@angular/common';
import { Component } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { MatTabsModule } from '@angular/material/tabs';
import { MatToolbarModule } from '@angular/material/toolbar';
import { RouterLink, RouterLinkActive, RouterOutlet } from '@angular/router';

@Component({
  selector: 'app-nav-mobile-tabs',
  standalone:true,
  imports: [
    CommonModule,RouterOutlet,RouterLink,RouterLinkActive,
    MatToolbarModule,
    MatTabsModule,
    MatIconModule
  ],
  templateUrl: './nav-mobile-tabs.component.html',
  styleUrls: ['./nav-mobile-tabs.component.scss']
})
export class NavMobileTabsComponent 
{
    navLinks=[
      {path:'home',label:'首页',icon:'home'},
      {path:'IP',label:'IP定制',icon:'image'},
      {path:'design',label:'设计',icon:'brush'},
      {path:'mine',label:'我的',icon:'person'}
    ];
}
